/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** ISLE         ISLE Ilmenau                                                  **
** BG           Blandine Guillot                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2016-02-12, ISLE:   Initial version of revision history            **
** V1.0.1: 2020-04-15, BG:     Updated revision history                       **
** V1.0.2: 2025-01-02, JO:     EP-1493: Updated license                       **
*******************************************************************************/

#include "Emo_BEMF.h"
#include "bemf_defines.h"


/*******************************************************************************
**                 Global Constant Definitions to be changed                  **
*******************************************************************************/

const TEmo_Bemfpar_Cfg Emo_Bemfpar_Cfg =
{
  /* PWM_Frequency */
  (float) BEMF_PWM_FREQ,
  /* Speedcontroller Kp */
  (uint16) BEMF_SPEED_KP,
  /* Speedcontroller Ki */
  (uint16) BEMF_SPEED_KI,
  /* Time constant for speed filter in s*/
  (float) BEMF_SPEED_FILT_TIME,
  /* Polpaarzahl  */
  /* Range: 1..32 */
  (uint16)BEMF_POLE_PAIRS,
  /*Time for Speed zero in s */
  (float) BEMF_ZERO_VEC_TIME,
  /* Max Speed for Start in 1/rpm */
  (float) BEMF_END_START_SPEED,
  /* Start Speed SlewRate in 1/rpm/s */
  (float) BEMF_START_ACCEL,
  /*  Speed SlewRate in 1/rpm/s */
  (float) BEMF_RUN_ACCEL,
  /*Enable Start width Frequenz=0 */
  (uint16) BEMF_START_FREQ_ZERO,
  /*Speed Test Enable */
  (uint16)BEMF_SPEED_TEST_ENABLE,
  /*Speed level switch on */
  (float) BEMF_SWITCH_ON_SPEED,
  /*Speed pwm start min */
  (float) BEMF_START_SPEED_PWM_MIN,
  /*Speed pwm start min offset*/
  (float) BEMF_START_SPEED_PWM_MIN_OFFSET,
  /*Speed pwm begin run min              */
  (float) BEMF_RUNBEGIN_SPEED_PWM_MIN,
  /*Speed pwm run min */
  (float) BEMF_RUN_SPEED_PWM_MIN,
};/* End of Emo_Bemfpar_Cfg */

