/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef BEMF_DEFINES_H
#define BEMF_DEFINES_H

/* XML Version 2.0.8 */
#define BEMF_XML_VERSION (20008)

#define BEMF_BLANK_FILT (0x3) /*decimal 3*/

#define BEMF_EMO_VOLTAGE_REF (0x0) /*decimal 0*/

#define BEMF_EN (0x1) /*decimal 1*/

#define BEMF_END_SPEED_PWM_MIN (0.40)

#define BEMF_END_START_SPEED (0x3E8) /*decimal 1000*/

#define BEMF_POLE_PAIRS (0x4) /*decimal 4*/

#define BEMF_PWM_FREQ (0x4E20) /*decimal 20000*/

#define BEMF_PWM_PERIOD (0x32) /*decimal 50*/

#define BEMF_RUNBEGIN_SPEED_PWM_MIN (0.01)

#define BEMF_RUN_ACCEL (0x3E8) /*decimal 1000*/

#define BEMF_RUN_SPEED_PWM_MIN (0.10)

#define BEMF_SPEED_FILT_TIME (0.01)

#define BEMF_SPEED_KI (0x32) /*decimal 50*/

#define BEMF_SPEED_KP (0xC8) /*decimal 200*/

#define BEMF_SPEED_TEST_ENABLE (0x1) /*decimal 1*/

#define BEMF_SPIKE_FILT (0x0) /*decimal 0*/

#define BEMF_START_ACCEL (0x7D0) /*decimal 2000*/

#define BEMF_START_FREQ_ZERO (0x1) /*decimal 1*/

#define BEMF_START_SPEED_PWM_MIN (0.35)

#define BEMF_START_SPEED_PWM_MIN_OFFSET (0.05)

#define BEMF_SWITCH_ON_SPEED (0x32) /*decimal 50*/

#define BEMF_ZERO_VEC_TIME (0.0)

#endif /* BEMF_DEFINES_H */
