/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef BCHALL_DEFINES_H
#define BCHALL_DEFINES_H

/* XML Version 2.1.3 */
#define BCHALL_XML_VERSION (20103)

#define BCHALL_ANGLE_DELAY_EN (0x0) /*decimal 0*/

#define BCHALL_DELAY_ANGLE (0x0) /*decimal 0*/

#define BCHALL_DELAY_MINSPEED (0x1F4) /*decimal 500*/

#define BCHALL_EN (0x1) /*decimal 1*/

#define BCHALL_INIT_DUTY (0x1E) /*decimal 30*/

#define BCHALL_INPUT_A (0x3) /*decimal 3*/

#define BCHALL_INPUT_B (0x4) /*decimal 4*/

#define BCHALL_INPUT_C (0x4) /*decimal 4*/

#define BCHALL_POLE_PAIRS (0x4) /*decimal 4*/

#define BCHALL_PWM_FREQ (0x4E20) /*decimal 20000*/

#define BCHALL_PWM_PERIOD (0x32) /*decimal 50*/

#define BCHALL_SPEED_IMAX (0x4B) /*decimal 75*/

#define BCHALL_SPEED_IMIN (0x0) /*decimal 0*/

#define BCHALL_SPEED_KI (0x14) /*decimal 20*/

#define BCHALL_SPEED_KP (0x28) /*decimal 40*/

#define BCHALL_SPEED_PIMAX (0x4B) /*decimal 75*/

#define BCHALL_SPEED_PIMIN (0x8) /*decimal 8*/

#define MOTOR_TYPE (0x2) /*decimal 2*/

#endif /* BCHALL_DEFINES_H */
