/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef SPEEDCTRL_DEFINES_H
#define SPEEDCTRL_DEFINES_H

/* XML Version 1.0.1 */
#define SPEEDCTRL_XML_VERSION (10001)

#define DUTYCYCLE_MAX (0x3E8) /*decimal 1000*/

#define DUTYCYCLE_MAX_PERCENT (0x64) /*decimal 100*/

#define DUTYCYCLE_MIN (0x64) /*decimal 100*/

#define DUTYCYCLE_MIN_PERCENT (0xA) /*decimal 10*/

#define MOTOR_SPEED_MAX (0x3A98) /*decimal 15000*/

#define SC_D_GAIN (0x12C) /*decimal 300*/

#define SC_INTEGRAL_LIMIT (0xF4240) /*decimal 1000000*/

#define SC_I_GAIN (0x12C) /*decimal 300*/

#define SC_P_GAIN (0x3E8) /*decimal 1000*/

#define SC_SCALE_D (0x2710) /*decimal 10000*/

#define SC_SCALE_I (0x2710) /*decimal 10000*/

#define SC_SCALE_OUT (0xF) /*decimal 15*/

#define SC_SCALE_P (0x3E8) /*decimal 1000*/

#define SC_USE_SC (0x0) /*decimal 0*/

#endif /* SPEEDCTRL_DEFINES_H */
