/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/
 
/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include "timer_lib.h"
#include "gpt12e.h"
#include "timer_defines.h"

/*******************************************************************************
**                        Global Function Definitions                         **
*******************************************************************************/

uint32 COMMUTATION_Timer_Handling(uint32 ticks)
{
  uint32 timer_value;
  COMMUTATION_TIMER_STOP();                         /* Stop Timer */
  timer_value = ( COMMUTATION_TIMER_GET_SCALED() ); /* Get Timer value and scale to system frequency */
  COMMUTATION_TIMER_SET_SCALED( ticks );            /* Reset Timer */
  COMMUTATION_TIMER_START();                        /* Start Timer */
  return timer_value;
}

uint32 HALL_Timer_Handling(uint32 ticks)
{
  uint32 timer_value;
  HALL_TIMER_STOP();                         /* Stop Timer */
  timer_value = ( HALL_TIMER_GET_SCALED() ); /* Get Timer value and scale to system frequency */
  HALL_TIMER_SET_SCALED( ticks );            /* Reset Timer */
  HALL_TIMER_START();                        /* Start Timer */
  return timer_value;
}
