/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** DM           Daniel Mysliwitz                                              **
** BG           Blandine Guillot                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V3.8.7: 2016-11-11, DM:   SVM update                                       **
** V3.8.8: 2018-01-25, DM:   Poti is used to set reference speed              **
** V3.8.9: 2019-02-14, DM:   Poti evaluation removed from interrupt, Poti     **
**                           value is now polled and reference speed is set   **
**                           Added hysteresis for starting/stopping the motor **
** V4.0.0: 2020-04-15, BG:   Updated revision history                         **
** V4.0.1: 2020-07-21, BG:   EP-439: Formatted .h/.c files                    **
** V5.0.0: 2022-12-08, JO:   EP-1359: Removed example content, added link     **
**                           to new example                                   **
** V5.1.0: 2024-11-06, JO:   EP-1535: Set C version to C99                    **
**                           Set compiler warning level to 'all warnings'     **
** V5.1.1: 2025-01-02, JO:   EP-1493: Updated license                         **
*******************************************************************************/

/*******************************************************************************
**                                  Abstract                                  **
********************************************************************************
** BLDC: Motor Drive with Sensorless FOC for the QBL4208-61-04-013 motor      **
********************************************************************************
** This example is deprecated and not part of the pack file anymore.          **
** For the new FOC example, please check out the new code                     **
** TLE9879QXA40_eSL-BAS-EVAL available at                                     **
** https://softwaretools.infineon.com/tools/com.ifx.tb.tool.tle987xeslbas     **
*******************************************************************************/

#include "tle_device.h"


int main(void)
{
  /* Initialization of hardware modules based on Config Wizard configuration */
  TLE_Init();

  for (;;)
  {
    /* Watchdog Service */
    (void)WDT1_Service();
  }
}

