/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef UART_DEFINES_H
#define UART_DEFINES_H

/* XML Version 2.4.0 */
#define UART_XML_VERSION (20400)

#define UART1_AUTO_BAUDRATE (0x1u) /*decimal 1*/

#define UART1_AUTO_BAUD_SEL (0x0u) /*decimal 0*/

#define UART1_BAUDRATE (19230.77)

#define UART1_BRVAL (0x10u) /*decimal 16*/

#define UART1_CLK (0x5u) /*decimal 5*/

#define UART1_Configuration_En (0x0u) /*decimal 0*/

#define UART1_FD (0x8u) /*decimal 8*/

#define UART1_MAN_BAUDRATE (0x4B00u) /*decimal 19200*/

#define UART1_PINSEL_EN (0x0u) /*decimal 0*/

#define UART1_SCON (0x40u) /*decimal 64*/

#define UART1_STD_EN (0x0u) /*decimal 0*/

#define UART2_AUTO_BAUDRATE (0x4u) /*decimal 4*/

#define UART2_AUTO_BAUD_SEL (0x0u) /*decimal 0*/

#define UART2_BAUDRATE (115273.78)

#define UART2_BRVAL (0x15u) /*decimal 21*/

#define UART2_CLK (0x28u) /*decimal 40*/

#define UART2_Configuration_En (0x1u) /*decimal 1*/

#define UART2_FD (0x16u) /*decimal 22*/

#define UART2_MAN_BAUDRATE (0x1C200u) /*decimal 115200*/

#define UART2_PINSEL_EN (0x1u) /*decimal 1*/

#define UART2_RXPINSEL (0x0u) /*decimal 0*/

#define UART2_SCON (0x40u) /*decimal 64*/

#define UART2_STD_EN (0x1u) /*decimal 1*/

#define UART2_TXPINSEL (0x0u) /*decimal 0*/

#endif /* UART_DEFINES_H */
