/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/**
 * \file     main.c
 *
 * \brief    Template for main.c
 *
 * \version  V1.0.2
 * \date     05. Nov 2024
 *
 * \note
 */

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** DM           Daniel Mysliwitz                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2015-08-07, DM:   Initial version                                  **
** V1.0.1: 2022-02-28, JO:   EP-936: Updated copyright and branding           **
** V1.0.2: 2024-11-05, JO:   EP-1493: Updated license                         **
*******************************************************************************/

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/

#include "tle_device.h"

/*******************************************************************************
**                          Private Macro Definitions                         **
*******************************************************************************/

/*******************************************************************************
**                        Private Function Declarations                       **
*******************************************************************************/

/*******************************************************************************
**                        Private Variable Definitions                        **
*******************************************************************************/

/*******************************************************************************
**                        Private Constant Definitions                        **
*******************************************************************************/

/*******************************************************************************
**                         Global Function Definitions                        **
*******************************************************************************/
int main(void)
{
  /* Initialization of the hardware modules based on Config Wizard config */
  TLE_Init();

  /*****************************************************************************
  ** Place your application code here                                         **
  *****************************************************************************/

  /*****************************************************************************
  ** Main endless loop                                                        **
  *****************************************************************************/
  for (;;)
  {
    /* Main watchdog1 (WDT1) service */
    (void)WDT1_Service();
    
    /***************************************************************************
    ** Place your application code here                                       **
    ***************************************************************************/
  }
}

