/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include "ccu6.h"

/*******************************************************************************
**                         Global Function Definitions                        **
*******************************************************************************/
/** \brief Initializes the CCU6 module.
 *
 * \param None
 * \return None
 *
 * \ingroup drv_api
 */
void CCU6_Init(void)
{
  CCU6->TCTR0.reg = (uint16) CCU6_TCTR0;
  CCU6->T12PR.reg = (uint16) CCU6_T12PR;
  CCU6->T13PR.reg = (uint16) CCU6_T13PR;
  CCU6->T12DTC.reg = (uint16) CCU6_T12DTC;
  CCU6->CC60SR.reg = (uint16) CCU6_CC60SR;
  CCU6->CC61SR.reg = (uint16) CCU6_CC61SR;
  CCU6->CC62SR.reg = (uint16) CCU6_CC62SR;
  CCU6->CC63SR.reg = (uint16) CCU6_CC63SR;
  CCU6->TCTR2.reg = (uint16) CCU6_TCTR2;
  CCU6->TRPCTR.reg = (uint16) CCU6_TRPCTR;
  CCU6->MODCTR.reg = (uint16) CCU6_MODCTR;
  CCU6->MCMCTR.reg = (uint16) CCU6_MCMCTR;
  CCU6->T12MSEL.reg = (uint16) CCU6_T12MSEL;
  CCU6->PSLR.reg = (uint16) CCU6_PSLR;
  CCU6->INP.reg = (uint16) CCU6_INP;
  CCU6->IEN.reg = (uint16) CCU6_IEN;
  CCU6->CMPSTAT.reg = (uint16) CCU6_CMPSTAT;
  CCU6->PISEL0.reg = (uint16) CCU6_PISEL0;
  CCU6->PISEL2.reg = (uint16) CCU6_PISEL2;
  CCU6_T12_Str_En();
  CCU6_T13_Str_En();
}
