/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include "mon.h"
#include "wdt1.h"
#include "mon_defines.h"
#include "RTE_Components.h"

/*******************************************************************************
**                         Global Function Definitions                        **
*******************************************************************************/

void MON_Init(void)
{
#if (CONFIGWIZARD == 1)
  MON->CNF.reg = (uint8) MON_CNF;
#else /* (CONFIGWIZARD == 2) */
  MON->CNF.reg = (uint8) PMU_MON_CNF;
#endif
}


uint8 MON_Debounce(uint8 MonActiveState)
{
  uint32 debounce = 20000;

  /* wait until MON button is released */
  while (debounce > 0u)
  {
    while ((uint8)MON_Sts() != MonActiveState)
    {
      (void)WDT1_Service();
      debounce = 20000;
    }

    debounce--;
  }

  return ((uint8)MON_Sts());
}
